# Ansible development environment configuration

## Introduction

This is a skeleton for my ansible development environment.

## Configuration

The location of playbook directory, this skeleton directory, and the target
dev env directory are contained in variables at the start of the 
'mk_dev_env_links' script.

## Initialize a development environment

To initialize a new dev env, create a new directory for the environment, and
copy the 'mk_dev_env_links' script into it. From within the dev env directory,
run the 'mk_dev_env_links' script.

The 'mk_dev_env_links' script will populate the directory with symlinks
pointing to the applicable ansible playbooks, collections and roles 
subdirectories, each of which contain requirements.yml files. It will also
symlink any miscellaneous support scripts required for the dev env.

Once the symlinks have been created you can initialize any roles or galaxy
collections required for the environment by running the 'update_roles.sh'
script.

