#!/bin/bash

# this script allows to update the /root/.ssh/authorized_keys file on target host,
# based on the contents of http://delinit.lan/ssh-keys
#
# it expects the host pattern to be supplied on the command line

ansible $1 -i inventory/prod.yml -u root -m copy -a "src=/root/.ssh/authorized_keys dest=/root/.ssh/authorized_keys-bu remote_src=true"
ansible $1 -i inventory/prod.yml -u root -m ansible.posix.authorized_key -a "user=root key=http://delinit.lan/ssh-keys"

